public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyformance/
Date: Thu,  2 Feb 2017 13:01:06 +0000 (UTC)	[thread overview]
Message-ID: <1486040450.83d0714c6a90c7f55e268f5b401d646a29e2f6b7.mrueg@gentoo> (raw)

commit:     83d0714c6a90c7f55e268f5b401d646a29e2f6b7
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  2 12:59:52 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Feb  2 13:00:50 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83d0714c

dev-python/pyformance: Version bump to 0.3.4

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/pyformance/Manifest                |  1 +
 dev-python/pyformance/pyformance-0.3.4.ebuild | 32 +++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/pyformance/Manifest b/dev-python/pyformance/Manifest
index 2ea0b61..01e3b5c 100644
--- a/dev-python/pyformance/Manifest
+++ b/dev-python/pyformance/Manifest
@@ -1 +1,2 @@
 DIST pyformance-0.3.2.tar.gz 10726 SHA256 7004f8e6eee1bcf8e28fb2ec74c8d67894158ccc01397faae70f6ee9729f9b8a SHA512 a838bb6cac144c309d2ff7050617b300fa2308f2bbab1d8b072ce87548d2dbd9ecb2dd552f9ddd53ded2ca4020bd42c7a3f4a245bc2c68ded5f01ebaf04edd71 WHIRLPOOL 6fb45017f8ea85ce3d61346f6a489861c30bf64bd8879e5dad4cb0cab4245346348b94183447e7ca86eb674a5ea4a874c42dec768dc02a0562b009d63e287bc5
+DIST pyformance-0.3.4.tar.gz 19394 SHA256 a9294ec48b57711ad60af0badf1354c0e28364e82d2579a0d3d3afbf845547ac SHA512 5dbc83da62bf66767eaaf316824cf5683488d8ee594b72baee327c4ef594f84b5aed07654da483aff29bee98605e5265425be88c165a4bb06e7bdddbbf28e440 WHIRLPOOL 346a1b1d58b3a6be73bff33c6cb943363df2185b26ae709a665b66ab32f594eb3cc3ac7578dcd902652626187715db6fbd48960ec676404e2e2a661ce9e3dff7

diff --git a/dev-python/pyformance/pyformance-0.3.4.ebuild b/dev-python/pyformance/pyformance-0.3.4.ebuild
new file mode 100644
index 00000000..7e2681b
--- /dev/null
+++ b/dev-python/pyformance/pyformance-0.3.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Performance metrics, based on Coda Hale's Yammer metrics"
+HOMEPAGE="https://pyformance.readthedocs.org/ https://github.com/omergertel/pyformance/ https://pypi.python.org/pypi/pyformance/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}]
+			dev-python/mock[${PYTHON_USEDEP}] )"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+python_prepare() {
+	sed -i -e "s/find_packages()/find_packages(exclude=['tests'])/" setup.py || die
+	sed -i -e "s/URLError, err/URLError as err/" ${PN}/reporters/influx.py || die
+}
+
+python_test() {
+	py.test || die
+}


             reply	other threads:[~2017-02-02 13:01 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-02 13:01 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18  7:47 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyformance/ Michał Górny
2024-05-18  7:47 Michał Górny
2023-11-07 16:02 Michał Górny
2023-02-16 17:47 Michał Górny
2021-05-28 14:19 Michał Górny
2020-03-28 17:44 Michał Górny
2020-03-06 18:30 Patrick McLean
2020-02-18 20:02 Patrick McLean
2018-08-21 18:50 Zac Medico
2018-08-21  8:31 Patrice Clement
2017-05-02 14:02 Michał Górny
2017-03-15  9:15 Zac Medico
2016-08-29 21:22 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1486040450.83d0714c6a90c7f55e268f5b401d646a29e2f6b7.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox